license_plate_api_italy
====================

Un pacchetto Dart per la ricerca di dettagli tecnici sui veicoli immatricolati in Italia dalla loro targa

`license_plate_api_italy` fornisce un modo semplice per trovare i dettagli del veicolo da una targa (numero di registrazione)
di un'auto immatricolata in italia

Cio richiede un nome utente e una password, disponibili gratuitamente da http://www.targa.co.it/

## English

A Dart package for looking up technical details on vehicles registered in italy by their license plate

`license_plate_api_italy` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in italy

This requires a username and password, which is available for free from http://www.targa.co.it/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_italy/license_plate_api_italy.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *REGISTRATION* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://www.targa.co.it/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: OPEL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://www.targa.co.it/
